//XML - [2020-06-22 11:41:46]
#ifndef _XML_H_
#define _XML_H_

#include "CFTTXmlReaderNode.h"
#include "CFTTXmlWriterNode.h"

/*
001F5994 XMLExists(CFTTXmlReaderNode,char const*,char const*)
001F5E80 XMLGetPos(CFTTXmlReaderNode,char const*,char const*,TPoint)
001F5EBA XMLGetPosF(CFTTXmlReaderNode,char const*,char const*,TPointF)
001F5EF4 XMLGetPosF3D(CFTTXmlReaderNode,char const*,char const*,TPointF3D)
001F5F2A XMLGetPos3D(CFTTXmlReaderNode,char const*,char const*,TPoint3D)
001F5F60 XMLGetColour(CFTTXmlReaderNode,char const*,char const*,uint)
001F6030 XMLGetInt(CFTTXmlReaderNode,char const*,char const*,int)
001F6108 XMLGetFloat(CFTTXmlReaderNode,char const*,char const*,float)
001F613A XMLGetString(CFTTXmlReaderNode,char const*,char const*,char const*)
001F6160 XMLGetStringInt(CFTTXmlReaderNode,char const*,char const*,char const**,int,int)
001F6198 XMLAddString(char const*,CFTTXmlWriterNode,char const*,char const*)
001F61CC XMLAddString(wchar_t const*,CFTTXmlWriterNode,char const*,char const*)
001F6228 XMLAddPosF3D(TPointF3D,CFTTXmlWriterNode,char const*,char const*)
001F62B0 XMLAddPos3D(TPoint3D,CFTTXmlWriterNode,char const*,char const*)
001F6354 XMLAddPos(TPoint,CFTTXmlWriterNode,char const*,char const*)
001F63E0 XMLAddColour(uint,CFTTXmlWriterNode,char const*,char const*)
001F6450 XMLAddInt(int,CFTTXmlWriterNode,char const*,char const*)
001F64B4 XMLAddFloat(float,CFTTXmlWriterNode,char const*,char const*)
001F6524 XMLValidateFile(char const*,char const*)
*/

//001F5994
bool XMLExists(CFTTXmlReaderNode a, char const* pName, char const* pChildName);

//001F5E80
TPoint XMLGetPos(CFTTXmlReaderNode, char const*, char const*, TPoint);

//001F5EBA
TPointF XMLGetPosF(CFTTXmlReaderNode, char const*, char const*, TPointF);

//001F5EF4
TPointF3D XMLGetPosF3D(CFTTXmlReaderNode, char const*, char const*, TPointF3D);

//001F5F2A
TPoint3D XMLGetPos3D(CFTTXmlReaderNode, char const*, char const*, TPoint3D);

//001F5F60
uint XMLGetColour(CFTTXmlReaderNode a, char const* pName, char const* pChildName, uint def);

//001F6030
int XMLGetInt(CFTTXmlReaderNode a, char const* pName, char const* pChildName, int def);

//001F6108
float XMLGetFloat(CFTTXmlReaderNode a, char const* pName, char const* pChildName, float def);

//001F613A
char* XMLGetString(CFTTXmlReaderNode a, char const* pName, char const* pChildName, char const* pdef);

//001F6160
int XMLGetStringInt(CFTTXmlReaderNode a, char const* pName, char const* pChildName, char const** plist, int count, int def);

//001F6198
void XMLAddString(char const* pAdd, CFTTXmlWriterNode a, char const* pName, char const* pChildName);

//001F61CC
void XMLAddString(wchar_t const* pWAdd, CFTTXmlWriterNode a, char const* pName, char const* pChildName);

//001F6228
void XMLAddPosF3D(TPointF3D, CFTTXmlWriterNode, char const*, char const*);

//001F62B0
void XMLAddPos3D(TPoint3D, CFTTXmlWriterNode, char const*, char const*);

//001F6354
void XMLAddPos(TPoint, CFTTXmlWriterNode, char const*, char const*);

//001F63E0
void XMLAddColour(uint, CFTTXmlWriterNode, char const*, char const*);

//001F6450
void XMLAddInt(int, CFTTXmlWriterNode, char const*, char const*);

//001F64B4
void XMLAddFloat(float, CFTTXmlWriterNode, char const*, char const*);

//001F6524
bool XMLValidateFile(char const*, char const*);

#endif  //_XML_H_